seo:
  title: Self-managed support extended to GitLab for Jira App
  description: >-
    Connect GitLab with the Jira development panel to sync merge requests,
    commits, and transition Jira issue statuses from GitLab.
  ogTitle: Self-managed support extended to GitLab for Jira App
  ogDescription: >-
    Connect GitLab with the Jira development panel to sync merge requests,
    commits, and transition Jira issue statuses from GitLab.
  noIndex: false
  ogImage: images/blog/hero-images/jason-goodman-Oalh2MojUuk-unsplash.jpg
  ogUrl: https://about.gitlab.com/blog/self-managed-support-gitlab-for-jira-app
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: https://about.gitlab.com/blog/self-managed-support-gitlab-for-jira-app
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "Self-managed support extended to GitLab for Jira App",
            "author": [{"@type":"Person","name":"Grant Hickman"}],
            "datePublished": "2023-01-12",
          }

content:
  title: Self-managed support extended to GitLab for Jira App
  description: >-
    Connect GitLab with the Jira development panel to sync merge requests,
    commits, and transition Jira issue statuses from GitLab.
  authors:
    - Grant Hickman
  heroImage: images/blog/hero-images/jason-goodman-Oalh2MojUuk-unsplash.jpg
  date: '2023-01-12'
  body: >


    Developing fast feedback loops is a core tenet of DevOps and is critical to
    the communication required between planning functions and engineering teams.
    GitLab provides many integrated features for Agile Planning within the
    DevSecOps Platform, but we understand the importance of supporting tools
    used within the broader DevOps ecosystem. This is why we’ve partnered with
    Atlassian to provide additional (and more straightforward) support between
    GitLab and Atlassian Jira, via the GitLab for Jira app.


    ## GitLab for Jira app: Proxy for Self-Managed GitLab


    For Jira Cloud, the GitLab for Jira app now officially supports integration
    with both GitLab SaaS and GitLab Self-Managed, making it easier to identify
    the ideal integration based on the type of installation mix you may have.


    With the GitLab for Jira app, you can: 


    - Display merge requests, commits, pipelines, deployments, feature flags,
    and branches directly in the Jira Development Panel, creating a quick view
    into progress on feature development.

    - Link commits, commit messages, and issue comments by mentioning the Jira
    Issue ID.

    - Transition issues from a commit, saving developers time from context
    switching across tools.

    - Add time tracking or custom comments to an issue with Smart Commits.


    ## Configuring the GitLab for Jira app with GitLab Self-Managed


    Here are the steps to take to configure the GitLab for Jira app with GitLab
    Self-Managed: 


    1. Visit the GitLab for Jira App in the Atlassian Marketplace.

    1. Click “Get it now”.

    1. Choose “GitLab (self managed)” Note: this requires a GitLab Admin role.

    1. Configure your [Instance OAuth App in
    GitLab](https://docs.gitlab.com/ee/integration/jira/connect-app.html#connect-the-gitlabcom-for-jira-cloud-app-for-self-managed-instances).

    1. Provide your instance URL.

    1. Sign in to your GitLab instance.

    1. Link your namespace.


    ## Limitations and considerations


    1. If you have implemented the GitLab for Jira app manually via App
    Manifest, proceed with caution. This is our first iteration and we’ll be
    improving the workflow to make it easier to migrate to the official GitLab
    for Jira app from the App Manifest approach.

    1. Traffic will be routed through GitLab.com for the GitLab for Jira app to
    configure the integration. 

    1. To configure the integration, you will need to be an admin of the Jira
    project and the GitLab instance to enable the integration.


    ## Deprecation and removal of Jira Cloud support for DVCS integration


    As the GitLab for Jira app now supports GitLab Self-Managed, this is the
    recommended path for integration between Jira Cloud and GitLab (for
    GitLab.com and GitLab Self-Managed). The GitLab DVCS connector will only
    support Jira Server and Jira Data Center moving forward. Jira Cloud support
    within the DVCS integration is [deprecated and will be removed in
    %16.0](https://docs.gitlab.com/ee/update/deprecations.html#jira-github-enterprise-dvcs-integration).


    To simplify how to choose which integrations are a fit for you, see below:


    1. Are you using Jira Cloud?
        1. Use the [GitLab for Jira app](https://marketplace.atlassian.com/apps/1221011?tab=overview&hosting=cloud).
        2. You can also use the [GitLab Jira Integration](https://docs.gitlab.com/ee/integration/jira/configure.html) with the GitLab for Jira app.

    2. Are you using Jira Server or Jira Data Center?
        1. Use the [Jira DVCS Connector](https://docs.gitlab.com/ee/integration/jira/dvcs.html)
        2. You can also use the [GitLab Jira Integration](https://docs.gitlab.com/ee/integration/jira/configure.html) with the Jira DVCS Connector.

    ## Options for using the GitLab for Jira app with GitLab Self-Managed


    With this release, you may now configure the [GitLab for Jira app directly
    from the Atlassian
    Marketplace](https://marketplace.atlassian.com/apps/1221011/gitlab-com-for-jira-cloud?tab=overview&hosting=cloud).
    This gives you a guided workflow for enabling the app and leverages
    GitLab.com as a proxy for your self-managed instance, for purposes of
    enabling the integration.


    Alternatively, you may also install the GitLab for Jira app by fetching a
    manifest file or creating your own Marketplace listing. To explore these
    approaches, you can [visit our
    documentation](https://docs.gitlab.com/ee/integration/jira/connect-app.html#install-the-gitlabcom-for-jira-cloud-app-for-self-managed-instances).


    ### Read more


    - [Epic](https://gitlab.com/groups/gitlab-org/-/epics/5650) about the
    extension of self-managed support to GitLab from Jira app

    - [How to integrate GitLab.com with Jira
    Cloud](/blog/2021/03/25/integrating-gitlab-com-with-atlassian-jira-cloud/)

    -
    [Documentation](https://docs.gitlab.com/ee/integration/jira/connect-app.html)
    on GitLab.com for Jira Cloud app


    _Cover image by [Jason
    Goodman](https://unsplash.com/@jasongoodman_youxventures?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText)
    on [Unsplash](https://www.unsplash.com)._

  category: News
  tags:
    - features
    - integrations
    - partners
config:
  slug: self-managed-support-gitlab-for-jira-app
  featured: false
  template: BlogPost
